use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'GCC::BADDLL',
    VERSION_FROM      => 'lib/GCC/BADDLL.pm', # finds $VERSION
    PREREQ_PM         => {}, # e.g., Module::Name => 1.1
    ($] >= 5.005 ?     ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM  => 'lib/GCC/BADDLL.pm', # retrieve abstract from module
       AUTHOR         => 'A. U. Thor <a.u.thor@a.galaxy.far.far.away>') : ()),
    LIBS              => [''], # e.g., '-lm'
    DEFINE            => '', # e.g., '-DHAVE_SOMETHING'
    INC               => '-I.', # e.g., '-I. -I/usr/include/other'
#force this DLL to be relocated to exercise the reloc table, all .exe's use
#0x00400000 as the base addresses by putting this XS dll at 0x00400000, this
#guarentees that the DLL will be relocated unlike the default,
# --enable-auto-image-base which hashes the DLL name for a random
#address, that hopefully doesn't collide with any other DLL in the process,
#except if it does collide, the reloc table will be used, and the reloc table
#better be perfect or else you SEGV inside DllMain after a couple of x86
#machine ops, which is why this bug is rarely seen
    dynamic_lib => {OTHERLDFLAGS =>  '-Wl,--image-base=0x00400000'},
    FUNCLIST => [
#exporting by FUNCLIST AKA the .def file doesn't cause a broken DLL    
#    'getfive',
    
    'boot_GCC__BADDLL'],
	# Un-comment this if you add C files to link with later:
    # OBJECT            => '$(O_FILES)', # link all the C files too
);
